### Hierarchy

- Atom

## Index

### Properties

- designMode

### Methods

- delay
- encodeParameters
- get
- postAsync
- superProperty
- url

## Properties

### Static designMode

designMode: boolean = false

- Defined in src/Atom.ts:7

## Methods

### Static delay

- delay(n: number, ct?: CancelToken): Promise<any>

- - Defined in src/Atom.ts:48

  Await till given milliseconds have passed

  #### Parameters

  - ##### n: number

  - ##### Optional ct: CancelToken

  #### Returns Promise<any>

### Static encodeParameters

- encodeParameters(p: INameValuePairs): string

- - Defined in src/Atom.ts:72

  #### Parameters

  - ##### p: INameValuePairs

  #### Returns string

### Static get

- get(target: any, path: string): any

- - Defined in src/Atom.ts:32

  #### Parameters

  - ##### target: any

  - ##### path: string

  #### Returns any

### Static postAsync

- postAsync(app: App, f: function): Promise<any>

- - Defined in src/Atom.ts:132

  Schedules given call in next available callLater slot and also returns promise that can be awaited, calling `Atom.postAsync` inside `Atom.postAsync` will create deadlock

  static
  memberof

    Atom

  #### Parameters

  - ##### app: App

  - ##### f: function

    - - (): Promise<any>

      - #### Returns Promise<any>

### Static superProperty

- superProperty<T, T2>(tc: T, target: T2, name: keyof T2): any

- - Defined in src/Atom.ts:10

  #### Type parameters

  - #### T

  - #### T2

  #### Parameters

  - ##### tc: T

  - ##### target: T2

  - ##### name: keyof T2

  #### Returns any

### Static url

- url(url: string, query?: INameValuePairs, hash?: INameValuePairs): string

- - Defined in src/Atom.ts:98

  #### Parameters

  - ##### url: string

  - ##### Optional query: INameValuePairs

  - ##### Optional hash: INameValuePairs

  #### Returns string

Generated using TypeDoc